Bug 835676 - rhn-satellite-exporter Inconsistency In Help And Traceback
rhn-satellite-exporter Inconsistency In Help And Traceback
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.8
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On: 835523
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-06-26 15:34 EDT by Stephen Herr
Modified: 2012-11-01 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-backend-1.8.42-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 835523
Environment:
Last Closed: 2012-11-01 12:20:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-06-26 15:34:55 EDT
+++ This bug was initially created as a clone of Bug #835523 +++

Description of problem:
man page and --help page of rhn-satellite-exporter differs a bit. Also when you try to run rhn-satellite-exporter as normal user you will get traceback instead of warning like: "This program needs super-user rights."

Version-Release number of selected component (if applicable):
spacewalk-backend-1.7.38-17

How reproducible:
Always

Steps to Reproduce:
1. man rhn-satellite-exporter
2. rhn-satellite-exporter --help
3. su - test; rhn-satellite-exporter --help
  
Actual results:
No note in man about verbose setting:
HELP:
-v, --verbose         Set debug level to 3. Overrides the value in
                      rhn.conf..
No alternate parameter in man for all-channels:
HELP:
-a, --all-channels    Export all channels.
MAN:
-a,    Export all channels.

When rhn-satellite-exporter is run under normal user you will get:
Traceback (most recent call last):
  File "/usr/bin/rhn-satellite-exporter", line 39, in <module>
    log2stderr(-1, "Unhandled Error: %s" % (e.__class__.__name__,))
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/syncLib.py", line 127, in log2stderr
    log2stream(level, msg, cleanYN, notimeYN, sys.stderr)
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/syncLib.py", line 109, in log2stream
    if CFG.DEBUG >= level:
  File "/usr/lib/python2.6/site-packages/spacewalk/common/rhnConfig.py", line 337, in __getattr__
    self.__check()
  File "/usr/lib/python2.6/site-packages/spacewalk/common/rhnConfig.py", line 381, in __check
    self.__component)
spacewalk.common.rhnConfig.ConfigParserError: ('Uninitialized config for component', 'server.iss')

Expected results:
Man and help consistent.
No traceback.

Additional info:
Comment 1 Stephen Herr 2012-06-26 15:39:17 EDT
Committed to Spacewalk master: 2509c5abfcb3288f604e757e34eb582a3e568bd1
Comment 2 Jan Pazdziora 2012-10-30 15:24:57 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:20:26 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.